OpenNMS API 1.2.9

## org.opennms.web.notification
Class NoticeFactory.SortStyle

    java.lang.Object
      org.opennms.web.notification.NoticeFactory.SortStyle

Enclosing class:
  NoticeFactory

public static class NoticeFactory.SortStyle
extends java.lang.Object

Convenience class to determine sort style of a query.

Field Summary
`static int` `_ID`
`static int` `_INTERFACE`
`static int` `_NODE`
`static int` `_PAGETIME`
`static int` `_RESPONDER`
`static int` `_RESPONDTIME`
`static int` `_REVERSE_ID`
`static int` `_REVERSE_INTERFACE`
`static int` `_REVERSE_NODE`
`static int` `_REVERSE_PAGETIME`
`static int` `_REVERSE_RESPONDER`
`static int` `_REVERSE_RESPONDTIME`
`static int` `_REVERSE_SERVICE`
`static int` `_REVERSE_USER`
`static int` `_SERVICE`
`static int` `_USER`
`protected int` `id`
`static NoticeFactory.SortStyle` `ID`
`static NoticeFactory.SortStyle` `INTERFACE`
`protected java.lang.String` `name`
`static NoticeFactory.SortStyle` `NODE`
`static NoticeFactory.SortStyle` `PAGETIME`
`static NoticeFactory.SortStyle` `RESPONDER`
`static NoticeFactory.SortStyle` `RESPONDTIME`
`static NoticeFactory.SortStyle` `REVERSE_ID`
`static NoticeFactory.SortStyle` `REVERSE_INTERFACE`
`static NoticeFactory.SortStyle` `REVERSE_NODE`
`static NoticeFactory.SortStyle` `REVERSE_PAGETIME`
`static NoticeFactory.SortStyle` `REVERSE_RESPONDER`
`static NoticeFactory.SortStyle` `REVERSE_RESPONDTIME`
`static NoticeFactory.SortStyle` `REVERSE_SERVICE`
`static NoticeFactory.SortStyle` `REVERSE_USER`
`static NoticeFactory.SortStyle` `SERVICE`
`static NoticeFactory.SortStyle` `USER`

Constructor Summary
`private` `NoticeFactory.SortStyle(java.lang.String name, int id)`

Method Summary
`int` `getId()`
`java.lang.String` `getName()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _USER

    public static final int _USER

See Also:
  Constant Field Values

### _RESPONDER

    public static final int _RESPONDER

See Also:
  Constant Field Values

### _PAGETIME

    public static final int _PAGETIME

See Also:
  Constant Field Values

### _RESPONDTIME

    public static final int _RESPONDTIME

See Also:
  Constant Field Values

### _NODE

    public static final int _NODE

See Also:
  Constant Field Values

### _INTERFACE

    public static final int _INTERFACE

See Also:
  Constant Field Values

### _SERVICE

    public static final int _SERVICE

See Also:
  Constant Field Values

### _ID

    public static final int _ID

See Also:
  Constant Field Values

### USER

    public static final NoticeFactory.SortStyle USER

### RESPONDER

    public static final NoticeFactory.SortStyle RESPONDER

### PAGETIME

    public static final NoticeFactory.SortStyle PAGETIME

### RESPONDTIME

    public static final NoticeFactory.SortStyle RESPONDTIME

### NODE

    public static final NoticeFactory.SortStyle NODE

### INTERFACE

    public static final NoticeFactory.SortStyle INTERFACE

### SERVICE

    public static final NoticeFactory.SortStyle SERVICE

### ID

    public static final NoticeFactory.SortStyle ID

### _REVERSE_USER

    public static final int _REVERSE_USER

See Also:
  Constant Field Values

### _REVERSE_RESPONDER

    public static final int _REVERSE_RESPONDER

See Also:
  Constant Field Values

### _REVERSE_PAGETIME

    public static final int _REVERSE_PAGETIME

See Also:
  Constant Field Values

### _REVERSE_RESPONDTIME

    public static final int _REVERSE_RESPONDTIME

See Also:
  Constant Field Values

### _REVERSE_NODE

    public static final int _REVERSE_NODE

See Also:
  Constant Field Values

### _REVERSE_INTERFACE

    public static final int _REVERSE_INTERFACE

See Also:
  Constant Field Values

### _REVERSE_SERVICE

    public static final int _REVERSE_SERVICE

See Also:
  Constant Field Values

### _REVERSE_ID

    public static final int _REVERSE_ID

See Also:
  Constant Field Values

### REVERSE_USER

    public static final NoticeFactory.SortStyle REVERSE_USER

### REVERSE_RESPONDER

    public static final NoticeFactory.SortStyle REVERSE_RESPONDER

### REVERSE_PAGETIME

    public static final NoticeFactory.SortStyle REVERSE_PAGETIME

### REVERSE_RESPONDTIME

    public static final NoticeFactory.SortStyle REVERSE_RESPONDTIME

### REVERSE_NODE

    public static final NoticeFactory.SortStyle REVERSE_NODE

### REVERSE_INTERFACE

    public static final NoticeFactory.SortStyle REVERSE_INTERFACE

### REVERSE_SERVICE

    public static final NoticeFactory.SortStyle REVERSE_SERVICE

### REVERSE_ID

    public static final NoticeFactory.SortStyle REVERSE_ID

### name

    protected java.lang.String name

### id

    protected int id

Constructor Detail

### NoticeFactory.SortStyle

    private NoticeFactory.SortStyle(java.lang.String name,
                                    int id)

Method Detail

### toString

    public java.lang.String toString()

### getName

    public java.lang.String getName()

### getId

    public int getId()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.